Subject: CASE1432615 - Saddle broken clamp
From: "Mohd Samar. Iqbal" <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Sun, 2 Feb 2020 08:33:57 -0700 (MST)

CASE1432615 - Saddle clamp got broken while she was riding, it is SC-1 and doesn't have a receipt. I believe it would be a paid part but not sure which part it is in the inventory. Please check the photos! 

Customer message - I was riding normally over some bumpy terrain and on one bump the clamp broke. The screws also need replacing. Could I get replacements sent to me, please? This is for a Swagtron SC-1